Subject: Re: bug#61973: M-x gdb ends up with infinite prompts before starting the process
From: Eli Zaretskii <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Mar 2023 14:49:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 7 Mar 2023 00:48:59 +0200
> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > Could you please try the patch below?  I don't have access to a system
> > where GDB can actually download the files from debuginfod servers, so
> > I could test this only partially.  Please test all the 3 possible
> > values of the new defcustom gdb-debuginfod-enable-setting.  TIA.
> 
> Looking good! Thank you.

Thanks, installed, and closing the bug.

> I have tries all 3 possible values, and the behavior looks as expected. 
> With 't', I even see a small delay when launching the process, 
> presumably from contacting some debuginfo server.
> 
> I haven't been able to verify that the debuginfo stuff is actually 
> working (nor sure where to look), but the basic functionality is now okay.

Apparently, if you do:

  set debuginfo verbose 1

(probably in your ~/.gdbinit file or somesuch, so that it is set from
the beginning of the session), it is supposed to show you messages
about downloading.  But this is documented to be 1 by default, so
maybe you don't see it because gdb-mi.el "swallows" those messages?
Try from the shell prompt and see if you get any messages.  They are
supposed to begin with "Downloading".  I think the download will only
happen if you debug a program whose sources and/or debug info are not
available locally.